"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EOrderRecStatus = exports.EOrderProductKind = exports.EOrderSource = exports.EOrderPaymentType = exports.EOrderLineStatus = exports.EOrderStatus = exports.EOrderType = void 0;
var EOrderType;
(function (EOrderType) {
    EOrderType["TAKE_AWAY"] = "TAKE_AWAY";
    EOrderType["DELIVERY"] = "DELIVERY";
    EOrderType["DINE_IN"] = "DINE_IN";
    EOrderType["DINE_IN_OPEN"] = "DINE_IN_OPEN";
})(EOrderType = exports.EOrderType || (exports.EOrderType = {}));
// https://docs.orderingstack.com/order/
var EOrderStatus;
(function (EOrderStatus) {
    EOrderStatus["NEW"] = "NEW";
    EOrderStatus["COMPLETED"] = "COMPLETED";
    EOrderStatus["VERIFIED"] = "VERIFIED";
    EOrderStatus["DELIVER"] = "DELIVER";
    EOrderStatus["DELIVERED"] = "DELIVERED";
    EOrderStatus["CLOSED"] = "CLOSED";
    EOrderStatus["ABANDONED"] = "ABANDONED";
    EOrderStatus["CANCELLED"] = "CANCELLED";
    EOrderStatus["PICKED_UP"] = "PICKED_UP";
})(EOrderStatus = exports.EOrderStatus || (exports.EOrderStatus = {}));
var EOrderLineStatus;
(function (EOrderLineStatus) {
    EOrderLineStatus["NEW"] = "NEW";
    EOrderLineStatus["CONFIRMED"] = "CONFIRMED";
})(EOrderLineStatus = exports.EOrderLineStatus || (exports.EOrderLineStatus = {}));
var EOrderPaymentType;
(function (EOrderPaymentType) {
    EOrderPaymentType["CASH"] = "CASH";
    EOrderPaymentType["COD"] = "COD";
    EOrderPaymentType["EPAYMENT"] = "EPAYMENT";
})(EOrderPaymentType = exports.EOrderPaymentType || (exports.EOrderPaymentType = {}));
var EOrderSource;
(function (EOrderSource) {
    EOrderSource["KIOSK"] = "KIOSK";
    EOrderSource["WEB"] = "WEB";
    EOrderSource["JUST_EAT_TAKE_AWAY"] = "JUSTEATTAKEAWAY";
    EOrderSource["GLOVO"] = "GLOVO";
    EOrderSource["PYSZNE"] = "PYSZNE";
})(EOrderSource = exports.EOrderSource || (exports.EOrderSource = {}));
var EOrderProductKind;
(function (EOrderProductKind) {
    EOrderProductKind["GROUP"] = "group";
    EOrderProductKind["PRODUCT"] = "product";
})(EOrderProductKind = exports.EOrderProductKind || (exports.EOrderProductKind = {}));
;
var EOrderRecStatus;
(function (EOrderRecStatus) {
    EOrderRecStatus[EOrderRecStatus["INITIALIZING"] = 0] = "INITIALIZING";
    EOrderRecStatus[EOrderRecStatus["INVALID"] = 1] = "INVALID";
    EOrderRecStatus[EOrderRecStatus["VALID"] = 2] = "VALID";
})(EOrderRecStatus = exports.EOrderRecStatus || (exports.EOrderRecStatus = {}));
